FETCH-PUBMED(1)

NAME
fetch-pubmed - fetch records from a local NCBI PubMed archive by UID

SYNOPSIS
fetch-pubmed [-strict|-mixed] [[-path] dir] [-all] [-fresh] [-asn|-xml|-pme] [-turbo]

DESCRIPTION
fetch-pubmed reads a list of record IDs from standard input and prints to standard output the corresponding portions of a local NCBI PubMed archive produced by archive-pubmed(1), typically for further processing by xtract(1) or the like.

OPTIONS

-strict|-mixed
    Run rchive(1) with -flag strict or -flag mixed, respectively.

[-path] dir
    Use the local archive in dir.

-all
    Dump the entire archive.

-fresh
    Dump the entire archive into filenames of the form pubmed001.xml.gz, using any existing such files as a starting point.

-asn
    Retrieve ASN.1.

-xml
    Retrieve XML (default).

-pme
    Produce ASN.1 on the fly, via pma2pme.

-turbo
    Add NEXT_RECORD_SIZE nodes to speed navigation.

ENVIRONMENT

EDIRECT_PUBMED_MASTER
    Local archive directory to use in the absence of -path. Expected to hold an absolute path; mandatory when not supplying a path on the command line.

SEE ALSO
archive-pubmed(1), cit2pmid(1), ds2pme(1), edict(1), phrase-search(1), pma2pme(1), rchive(1), stream-pubmed(1), xtract(1).